[prod] update-crash-adu-by-build-signature failing

RESOLVED FIXED

Status

Socorro
Database
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: rhelmer, Assigned: rhelmer)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

4 years ago
Just happened to notice this in #socorro-alerts:

23:42 < nagios-phx1> Mon 23:42:47 PDT [1393] 
                     sp-admin01.phx1.mozilla.com:Socorro Admin - crontab is 
                     CRITICAL: CRITICAL - update-crash-adu-by-build-signature 
                     (CrashAduByBuildSignatureCronApp) 
                     (http://m.mozilla.org/Socorro+Admin+-+crontab)
(Assignee)

Comment 1

4 years ago
Looks like bad data is getting in somewhere:

DataError: source string too short for "YYYY" formatting field
DETAIL:  Field requires 4 characters, but only 1 remain.
HINT:  If your source string is not fixed-width, try using the "FM" modifier.
(Assignee)

Comment 2

4 years ago
Here it is, bad build ID:

breakpad=# select uuid, build from reports_clean where date_processed > '2014-07-07' and date_processed < '2014-07-08' and length(build::text) < 5;
                 uuid                 | build 
--------------------------------------+-------
 5715f6f4-8783-47be-9599-0584b2140707 |     2
(1 row)
(Assignee)

Comment 3

4 years ago
Removed this so reporting can continue (crontabber should do so automatically) - however we should fix this ASAP, these should be thrown out and not accepted to reports_clean:

breakpad=# delete from reports_clean where uuid = '5715f6f4-8783-47be-9599-0584b2140707' and date_processed > '2014-07-07' and date_processed < '2014-07-08';
DELETE 1
Status: NEW → ASSIGNED

Comment 4

4 years ago
This is happening again. I'm on it.

Comment 5

4 years ago
breakpad=# select uuid, build from reports_clean where date_processed > '2014-07-07' and length(build::text) < 5;                 uuid                 | build
--------------------------------------+-------
 38759a54-0348-4302-8661-e6fef2140709 |     2
(1 row)

breakpad=# delete from reports_clean where uuid = '38759a54-0348-4302-8661-e6fef2140709' and date_processed > '2014-07-07' and length(build::text) < 5;
DELETE 1
(Assignee)

Comment 6

4 years ago
And again:

breakpad=# select uuid, build from reports_clean where date_processed > '2014-07-07' and length(build::text) < 5; 
                 uuid                 | build 
--------------------------------------+-------
 68768022-59dc-4032-b6ee-8fdd02140710 |     2
(1 row)

breakpad=# delete from reports_clean where uuid = '68768022-59dc-4032-b6ee-8fdd02140710' and date_processed > '2014-07-07' and length(build::text) < 5;
DELETE 1
(Assignee)

Comment 7

4 years ago
And again:

breakpad=# select date_processed, uuid, build from reports_clean where date_processed > '2014-07-15' and length(build::text) < 5; 
        date_processed         |                 uuid                 | build 
-------------------------------+--------------------------------------+-------
 2014-07-15 10:19:39.277057+00 | 6c02a441-3a06-4e8d-a305-dd03d2140715 |     2
(1 row)

breakpad=# delete from reports_clean where uuid = '6c02a441-3a06-4e8d-a305-dd03d2140715' and date_processed > '2014-07-15' and length(build::text) < 5;
DELETE 1
(Assignee)

Comment 8

4 years ago
Note that this should be fixed in bug 1035689 which is why we don't see it on stage too, that has landed in git but has yet to ship.
(Assignee)

Comment 9

4 years ago
Happened again today:

breakpad=# select date_processed, uuid, build from reports_clean where date_processed > '2014-08-11' and length(build::text) < 5; 
        date_processed         |                 uuid                 | build 
-------------------------------+--------------------------------------+-------
 2014-08-11 10:27:44.86963+00  | 422d6785-fd4b-44e1-8e51-44b9b2140811 |     2
 2014-08-11 10:27:41.072022+00 | d607f170-8343-4f85-acbf-18f3a2140811 |     2
(2 rows)

breakpad=# delete from reports_clean where uuid='422d6785-fd4b-44e1-8e51-44b9b2140811' or uuid='d607f170-8343-4f85-acbf-18f3a2140811' and date_processed > '2014-08-11' and length(build::text) <5;
DELETE 2
(Assignee)

Comment 10

4 years ago
breakpad=# select date_processed, uuid, build from reports_clean where date_processed > '2014-08-15' and length(build::text) < 5;
        date_processed         |                 uuid                 | build 
-------------------------------+--------------------------------------+-------
 2014-08-15 05:28:51.577495+00 | b5719d3e-8e32-4dbb-9358-cfc8c2140815 |     2
(1 row)

breakpad=# delete from reports_clean where date_processed > '2014-08-15' and length(build::text) < 5 and uuid='b5719d3e-8e32-4dbb-9358-cfc8c2140815';
DELETE 1
(Assignee)

Comment 11

4 years ago
Oh... I think this was already fixed in https://github.com/mozilla/socorro/commit/a5ed28b69916d7600871f930b610efe56acb6af4 we just haven't run the migration
(Assignee)

Updated

4 years ago
Depends on: 1035689
(Assignee)

Comment 12

4 years ago
This should now be fixed.
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.